void printi(int val);

int main()
{
  unsigned int i, j, val;

  for (i = -2; (int)i < 3; i++)
    for (j = -2; (int)j < 3; j++) {
      if (j != 0) {
	val  = i; printi(val);
	val /= j; printi(val);
	val  = i; printi(val);
	val %= j; printi(val);
      }
    }

  return 0;
}
